NoReceiverForEndpointException (Mule ESB 2.2.1 API)
Keywords: org.mule.api.transport.NoReceiverForEndpointException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.transport
Class NoReceiverForEndpointException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.endpoint.EndpointException
                      org.mule.api.transport.NoReceiverForEndpointException

All Implemented Interfaces:
  Serializable

    public class NoReceiverForEndpointException

extends EndpointException

`NoReceiverForEndpointException` is thrown when an enpoint is specified for a receiver but no such receiver exists.

See Also:
  Serialized Form

Constructor Summary
`NoReceiverForEndpointException(Message message)`
`NoReceiverForEndpointException(Message message, Throwable cause)`
`NoReceiverForEndpointException(String endpoint)`
`NoReceiverForEndpointException(Throwable cause)`

Method Summary

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoReceiverForEndpointException

    public NoReceiverForEndpointException(String endpoint)

Parameters:
  `endpoint` - the endpoint that could not be located

### NoReceiverForEndpointException

    public NoReceiverForEndpointException(Message message)

Parameters:
  `message` - the exception message

### NoReceiverForEndpointException

    public NoReceiverForEndpointException(Message message,
                                          Throwable cause)

Parameters:
  `message` - the exception message
  `cause` - the exception that cause this exception to be thrown

### NoReceiverForEndpointException

    public NoReceiverForEndpointException(Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.